




chrome.runtime.onInstalled.addListener(() => {
    const data = [
        {muk:"daifuco", name:"Jose Pagan"},
        {muk:"davejm", name:"David Moscrop"},
        {muk:"batistutauk", name:"Hugh Jass"},
        {muk:"Count Buffalos", name:"Nick Slater"},
        {muk:"Erik", name:"Erik Mansner"},
        {muk:"EuroVapeSim2", name:"Cillian Cassidy"},
        {muk:"Meers", name:"Richard Meerman"},
        {muk:"milko", name:"Mike Foxall"},
        {muk:"Mr Majestyk", name:"Pablo Majestyk"},
        {muk:"mrben09", name:"Ben Mackay"},
        {muk:"SANtoOos", name:"Luis Santos"},
        {muk:"SharkyOB", name:"Matt O'Brien"},
        {muk:"SneakyNinja", name:"Garry Gibson"},
        {muk:"Sweaty Travolta", name:"Les Herbert"},
        {muk:"texlex45", name:"Daniel Witschi"},
        {muk:"willmill", name: "William Millar"},
        {muk:"winky", name: "Paul Rooney"},
        {muk:"DjScream3", name:"Jorge Jureland"},
        {muk: "Marmite", name:"Jordan Wisbey"},
        {muk: "Corranga", name:"Chris Hall"},
        {muk: "EuroVapeSim2", name:"Cillian Cassidy"},
        {muk: "davadvice1", name:"David Jordan"},
        {muk: "mexos", name:"Stephen Rose"},
        {muk: "Valver", name:"Alastair Heath"},
        {muk: "extremepabs", name:"Paul Bristow"},
        {muk: "Arthisins", name:"Ryan Ware"},
        {muk: "Junker", name:"Christopher Denby"},
        {muk: "ArmcoOJ", name:"Eugen Geuzebroek"},
        {muk: "Throbin Hood", name:"Mike Turner"}
    ]
    const dataString = JSON.stringify(data)
    chrome.storage.local.set({
        "namesData": dataString
    })
})

// chrome.storage.local.get("data", newData => {
// console.log(newData)
// })

console.log("I am the background")

//changeInfo gives update on lifecyle of the tab
//tab: actual tab info, like url...
chrome.tabs.onUpdated.addListener((tabId, changeInfo, tab) => {
    if (changeInfo.status === "complete" && /^http/.test(tab.url)) {
        //target: where do you want to execute
        //files: what do you want to inject

   //TODO anyadir por aqui leer los datos de los nombres para pasarlos al foreground como mensaje
  
    

        chrome.scripting.insertCSS({
            target: { tabId: tabId },
            files: ["foreground_styles.css"]
        })
            .then(() => {
                chrome.scripting.executeScript({
                    target: { tabId: tabId },
                    files: ["foreground.js"]
                })
                    .then( () => {
                        console.log("INJECTED FOREGROUND STYLES")
                        chrome.storage.local.get("namesData", (data)=>{
                            // console.log("data",data.namesData)

                            const dataObj = JSON.parse(data.namesData)
                            // console.log(dataObj)

                            
                            chrome.tabs.sendMessage(tabId, {
                                message:"names",
                                payload: dataObj
                            })
                        })


                        })
                    })
            

            .catch(err => console.log(err))

    }

})



    

chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
    if (request.message === 'fetch_button_clicked'){
        console.log("ohlala")
        sendResponse({message:"success", payload:"Juan"})
    }
})